Skip to main content
GET
/
v1
/
accounts
List Connected Accounts
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/accounts \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 1,
  "total_items": 10,
  "data": [
    {
      "account_id": "f5bb6498-552e-40a5-b14b-616aa04ac1c1",
      "short_reference_id": "P220406-LLCVLRM",
      "business_code": [
        "BANKING"
      ],
      "email": "example@company.com",
      "account_name": "UQPAY PTE LTD.",
      "status": "PROCESSING",
      "verification_status": "APPROVED",
      "country": "US",
      "entity_type": "COMPANY",
      "contact_details": {
        "email": "example@company.com",
        "phone": "+6588880000"
      },
      "business_details": {
        "legal_entity_name_english": "UQPAY PTE LTD.",
        "incorporation_date": "2013-04-15",
        "registration_number": "201901754K",
        "business_structure": "SOLE_PROPRIETOR",
        "product_description": "Design and produce high-tech wireless headphones.",
        "merchant_category_code": "5733",
        "estimated_worker_count": "BS001",
        "monthly_estimated_revenue": {
          "amount": "TM001",
          "currency": "SGD"
        },
        "account_purpose": [
          "PAYOUT"
        ],
        "legal_entity_name": "ソフトバンクインターナショナル株式会社",
        "identifier": {
          "type": "VAT",
          "number": "XXX-XX-XXXX"
        },
        "website_url": "https://yourcompany.com"
      }
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: x >= 1
Example:

10

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1
Example:

1

Response

OK - Successfully retrieved a list of accounts.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
(Company Account · object | Individual Account · object)[]

Information about the company account.